######################################################################
# Automatically generated by qmake (1.07a) Tue Sep 19 12:45:48 2006
######################################################################

TARGET=../bin/qcakeplayer
TEMPLATE = app
INCLUDEPATH += .
INCLUDEPATH += ../src

CONFIG += qt warn_on release

# Input
HEADERS += main.h \
           playerview.h \
           qcakerun.h \
           ../src/alsound.h \
           ../src/audioenv.h \ 
           ../src/barrier.h \
           ../src/tribarrier.h \
           ../src/terrain.h \
           ../src/body.h \
           ../src/camera.h \
           ../src/glcontrol.h \
           ../src/globdefines.h \
           ../src/guibutton.h \
           ../src/guiinput.h \
           ../src/guiosbutton.h \
           ../src/guitext.h \
           ../src/listviews.h \
           ../src/netclient.h \
           ../src/Obstruct.h \
           ../src/phthread.h \
           ../src/player.h \
           ../src/puQT.h \
           ../src/copydir.h \
           ../src/loadMD2.h \
           ../src/usercamera.h \
           ../src/astar.h \
           ../src/shader.h \
           ../src/GLee.h\
           ../src/cursor3d.h\
           ../src/mycatalogdlg.h

SOURCES += main.cpp \
           playerview.cpp \
           qcakerun.cpp \
           ../src/alsound.cpp \
           ../src/audioenv.cpp \
           ../src/barrier.cpp \
           ../src/tribarrier.cpp \
           ../src/terrain.cpp \
           ../src/body.cpp \
           ../src/camera.cpp \
           ../src/glcontrol.cpp \
           ../src/guibutton.cpp \
           ../src/guiinput.cpp \
           ../src/guiosbutton.cpp \
           ../src/guitext.cpp \
           ../src/listviews.cpp \
           ../src/netclient.cpp \
           ../src/phthread.cpp \
           ../src/player.cpp \
           ../src/spl_prg.cpp \
           ../src/copydir.cpp \
           ../src/loadMD2.cpp \
           ../src/usercamera.cpp \
           ../src/astar.cpp \
           ../src/shader.cpp \           
           ../src/GLee.c\
           ../src/cursor3d.cpp\
           ../src/mycatalogdlg.cpp

INTERFACES += ../src/catalogdlg.ui
                      
LIBS +=    -lplibpu \
           -lplibfnt \
           -lplibssg \
           -lplibsg \
           -lplibul \
           -lplibssgaux \
           -lplibjs \
           -lspl \
#	   -lssl \
           -ldl \
           -lpcre \
           /usr/local/lib/libode.a \
           -lplibnet \
           -lopenal \
#	   -lalut \
	   -lGL \
           -lGLU
